<script>
	import Checkbox from "@/components/Form/Checkbox.svelte"

	import { t } from "@/i18n"

	export let value = {}
</script>

<template lang="pug">
.contacts
	p.title {$t("form.contact_by")}
	.list.is-flex.is-flex-wrap-wrap.is-align-items-flex-start.is-justify-content-flex-start
		.list-item: Checkbox( bind:value='{value.call}' style="light" ) {$t("form.call")}
		.list-item: Checkbox( bind:value='{value.viber}' style="light" ) Viber
		.list-item: Checkbox( bind:value='{value.telegram}' style="light" ) Telegram
		.list-item: Checkbox( bind:value='{value.whatsapp}' style="light" ) Whatsapp
</template>

<style lang="scss">
.contacts {
	margin-top: 2rem;
}

.title {
	font-size: .875rem;
	line-height: 1.5rem;
	text-transform: uppercase;
	font-weight: 500;
	color: $primary;
	margin-bottom: .75rem;
}

.list {
	&-item {
		width: 50%;
	}
}
</style>